﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;

namespace Prism.Desktop.Metro
{
    public static class ResourceHelper
    {
        private static ResourceLoader _resourceLoader;
        static ResourceHelper()
        {
            _resourceLoader = new ResourceLoader("Prism.Metro/Resources");
        }

        public static string InvalidDelegateRerefenceTypeException
        {
            get
            {
                return _resourceLoader.GetString("InvalidDelegateRerefenceTypeException");
            }
        }


        public static string DelegateCommandDelegatesCannotBeNull
        {
            get
            {
                return _resourceLoader.GetString("DelegateCommandDelegatesCannotBeNull");
            }
        }


        public static string DelegateCommandInvalidGenericPayloadType
        {
            get
            {
                return _resourceLoader.GetString("DelegateCommandInvalidGenericPayloadType");
            }
        }

        public static string PropertySupport_NotMemberAccessExpression_Exception
        {
            get
            {
                return _resourceLoader.GetString("PropertySupport_NotMemberAccessExpression_Exception");
            }
        }

        public static string PropertySupport_ExpressionNotProperty_Exception
        {
            get
            {
                return _resourceLoader.GetString("PropertySupport_ExpressionNotProperty_Exception");
            }
        }

        public static string PropertySupport_StaticExpression_Exception
        {
            get
            {
                return _resourceLoader.GetString("PropertySupport_StaticExpression_Exception");
            }
        }

        public static string ModuleDependenciesNotMetInGroup
        {
            get
            {
                return _resourceLoader.GetString("ModuleDependenciesNotMetInGroup");
            }
        }

        public static string DuplicatedModule
        {
            get
            {
                return _resourceLoader.GetString("DuplicatedModule");
            }
        }


        public static string StartupModuleDependsOnAnOnDemandModule
        {
            get
            {
                return _resourceLoader.GetString("StartupModuleDependsOnAnOnDemandModule");
            }
        }

        public static string StringCannotBeNullOrEmpty
        {
            get
            {
                return _resourceLoader.GetString("StringCannotBeNullOrEmpty");
            }
        }

        public static string DependencyForUnknownModule
        {
            get
            {
                return _resourceLoader.GetString("DependencyForUnknownModule");
            }
        }

        public static string CyclicDependencyFound
        {
            get
            {
                return _resourceLoader.GetString("CyclicDependencyFound");
            }
        }

        public static string DependencyOnMissingModule
        {
            get
            {
                return _resourceLoader.GetString("DependencyOnMissingModule");
            }
        }

        public static string ValueMustBeOfTypeModuleInfo
        {
            get
            {
                return _resourceLoader.GetString("ValueMustBeOfTypeModuleInfo");
            }
        }

        public static string FailedToLoadModule
        {
            get
            {
                return _resourceLoader.GetString("FailedToLoadModule");
            }
        }

        public static string FailedToLoadModuleNoAssemblyInfo
        {
            get
            {
                return _resourceLoader.GetString("FailedToLoadModuleNoAssemblyInfo");
            }
        }

        public static string FailedToGetType
        {
            get
            {
                return _resourceLoader.GetString("FailedToGetType");
            }
        }

        public static string ModuleNotFound
        {
            get
            {
                return _resourceLoader.GetString("ModuleNotFound");
            }
        }


        public static string NoRetrieverCanRetrieveModule
        {
            get
            {
                return _resourceLoader.GetString("NoRetrieverCanRetrieveModule");
            }
        }

        public static string FailedToRetrieveModule
        {
            get
            {
                return _resourceLoader.GetString("FailedToRetrieveModule");
            }
        }



        public static string InvalidArgumentAssemblyUri
        {
            get
            {
                return _resourceLoader.GetString("InvalidArgumentAssemblyUri");
            }
        }

        public static string UpdateRegionException
        {
            get
            {
                return _resourceLoader.GetString("UpdateRegionException");
            }
        }
        public static string RegionNotInRegionManagerException
        {
            get
            {
                return _resourceLoader.GetString("RegionNotInRegionManagerException");
            }
        }
        public static string RegionNameCannotBeEmptyException
        {
            get
            {
                return _resourceLoader.GetString("RegionNameCannotBeEmptyException");
            }
        }
        public static string RegionNameExistsException
        {
            get
            {
                return _resourceLoader.GetString("RegionNameExistsException");
            }
        }
        public static string HostControlCannotBeSetAfterAttach
        {
            get
            {
                return _resourceLoader.GetString("HostControlCannotBeSetAfterAttach");
            }
        }
        public static string DeactiveNotPossibleException
        {
            get
            {
                return _resourceLoader.GetString("DeactiveNotPossibleException");
            }
        }


        public static string ContentControlHasContentException
        {
            get
            {
                return _resourceLoader.GetString("ContentControlHasContentException");
            }
        }

        public static string ItemsControlHasItemsSourceException
        {
            get
            {
                return _resourceLoader.GetString("ItemsControlHasItemsSourceException");
            }
        }
        public static string CannotChangeRegionNameException
        {
            get
            {
                return _resourceLoader.GetString("CannotChangeRegionNameException");
            }
        }


        public static string RegionViewExistsException
        {
            get
            {
                return _resourceLoader.GetString("RegionViewExistsException");
            }
        }



        public static string RegionViewNameExistsException
        {
            get
            {
                return _resourceLoader.GetString("RegionViewNameExistsException");
            }
        }

        public static string ViewNotInRegionException
        {
            get
            {
                return _resourceLoader.GetString("ViewNotInRegionException");
            }
        }

        public static string AdapterInvalidTypeException
        {
            get
            {
                return _resourceLoader.GetString("AdapterInvalidTypeException");
            }
        }

        public static string MappingExistsException
        {
            get
            {
                return _resourceLoader.GetString("MappingExistsException");
            }
        }
        public static string NoRegionAdapterException
        {
            get
            {
                return _resourceLoader.GetString("NoRegionAdapterException");
            }
        }

        public static string RegionBehaviorRegionCannotBeSetAfterAttach
        {
            get
            {
                return _resourceLoader.GetString("RegionBehaviorRegionCannotBeSetAfterAttach");
            }
        }

        public static string RegionBehaviorAttachCannotBeCallWithNullRegion
        {
            get
            {
                return _resourceLoader.GetString("RegionBehaviorAttachCannotBeCallWithNullRegion");
            }
        }

        public static string TypeWithKeyNotRegistered
        {
            get
            {
                return _resourceLoader.GetString("TypeWithKeyNotRegistered");
            }
        }

        public static string CanOnlyAddTypesThatInheritIFromRegionBehavior
        {
            get
            {
                return _resourceLoader.GetString("CanOnlyAddTypesThatInheritIFromRegionBehavior");
            }
        }


        public static string RegionNotFound
        {
            get
            {
                return _resourceLoader.GetString("RegionNotFound");
            }
        }


        public static string RegionManagerWithDifferentNameException
        {
            get
            {
                return _resourceLoader.GetString("RegionManagerWithDifferentNameException");
            }
        }


        public static string CannotCreateNavigationTarget
        {
            get
            {
                return _resourceLoader.GetString("CannotCreateNavigationTarget");
            }
        }


        public static string NavigationServiceHasNoRegion
        {
            get
            {
                return _resourceLoader.GetString("NavigationServiceHasNoRegion");
            }
        }

        public static string OnViewRegisteredException
        {
            get
            {
                return _resourceLoader.GetString("OnViewRegisteredException");
            }
        }

        public static string DefaultTextLoggerPattern
        {
            get
            {
                return _resourceLoader.GetString("DefaultTextLoggerPattern");
            }
        }

        public static string RegionCreationException
        {
            get
            {
                return _resourceLoader.GetString("RegionCreationException");
            }
        }
     
    }
}

